Subject: bug#14706: Mac OS X gcc and bogus warnings about *.dSYM, directories

From: Hanspeter Niederstrasser <[email-masked]>
Date: Wed, 24 Jul 2013 09:32:14 -0400

The patch mentioned above does fix the issue about the dSYM directory 
when using Apple's rm.  However, if a user has the GNU coreutils package 
installed, GNU rm generates a different error text and then the test fails.

With Apple's rm, this is the 'rm' feedback which is dealt with correctly:

rm: conftest.dSYM: is a directory

With GNU rm, this is the 'rm' feedback which causes depcomp2.sh to fail:

rm: cannot remove 'conftest.dSYM': Is a directory

Hanspeter